### Function

# Babl space_from_rgbxyz_matrix

#### Declaration [src]

    const Babl*
    babl_space_from_rgbxyz_matrix (
      const char* name,
      double wx,
      double wy,
      double wz,
      double rx,
      double gx,
      double bx,
      double ry,
      double gy,
      double by,
      double rz,
      double gz,
      double bz,
      const Babl* trc_red,
      const Babl* trc_green,
      const Babl* trc_blue
    )

#### Description [src]

Creates a new RGB matrix color space definition using a precomputed D50 adapted 3x3 matrix and associated CIE XYZ whitepoint, as possibly read from an ICC profile.

#### Parameters

`name`

  Type: `const char*`

  The name for the color space.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`wx`

  Type: `double`

  The X-coordinate of the color space’s white point.

`wy`

  Type: `double`

  The Y-coordinate of the color space’s white point.

`wz`

  Type: `double`

  The Z-coordinate of the color space’s white point.

`rx`

  Type: `double`

  The X-coordinate of the red primary.

`gx`

  Type: `double`

  The X-coordinate of the green primary.

`bx`

  Type: `double`

  The X-coordinate of the blue primary.

`ry`

  Type: `double`

  The Y-coordinate of the red primary.

`gy`

  Type: `double`

  The Y-coordinate of the green primary.

`by`

  Type: `double`

  The Y-coordinate of the blue primary.

`rz`

  Type: `double`

  The Z-coordinate of the red primary.

`gz`

  Type: `double`

  The Z-coordinate of the green primary.

`bz`

  Type: `double`

  The Z-coordinate of the blue primary.

`trc_red`

  Type: `Babl`

  The red component of the TRC.

  The data is owned by the caller of the function.

`trc_green`

  Type: `Babl`

  The green component of the TRC (can be `NULL` if it’s the same as `trc_red`).

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`trc_blue`

  Type: `Babl`

  The blue component of the TRC (can be `NULL` if it’s the same as `trc_red`).

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `Babl`

No description available.

The data is owned by the called function.